---
title: "Get one object prototype"
description: "Look up the Dark Pawns admin API request and response contract. Sign in with a level 40 character and use the authenticated admin console session."
type: reference
audience: operators
verified: v0.1.8
canonical: https://darkpawns.org/docs/reference/api/admin/operations/get-object-prototype/
---

[Documentation](/docs/) / [Reference](/docs/reference/)

# Get one object prototype

Look up the Dark Pawns admin API request and response contract. Sign in with a level 40 character and use the authenticated admin console session.

GET

/admin/objects/{vnum}

FetchcURL

```
const url = 'https://example.com/admin/objects/example';const options = {method: 'GET'};
try {  const response = await fetch(url, options);  const data = await response.json();  console.log(data);} catch (error) {  console.error(error);}
```

```
curl --request GET \  --url https://example.com/admin/objects/example
```

A single object prototype by vnum.

## Parameters

### Path Parameters

**vnum**

required

Object prototype vnum. A non-numeric vnum returns 400; an unknown vnum returns 404.

string

Object prototype vnum. A non-numeric vnum returns 400; an unknown vnum returns 404.

## Responses

### 200

OK

application/json

object

**cost**

required

integer format: int64

**extra\_flags**

required

Array<integer> | null

\>= 4 items <= 4 items

**keywords**

required

string

**long\_desc**

required

string

**script\_name**

required

string

**short\_desc**

required

string

**type\_flag**

required

integer format: int64

**values**

required

Array<integer> | null

\>= 4 items <= 4 items

**vnum**

required

integer format: int64

**wear\_flags**

required

Array<integer> | null

\>= 4 items <= 4 items

**weight**

required

integer format: int64

#### Example generated

```
{  "cost": 1,  "extra_flags": [    1  ],  "keywords": "example",  "long_desc": "example",  "script_name": "example",  "short_desc": "example",  "type_flag": 1,  "values": [    1  ],  "vnum": 1,  "wear_flags": [    1  ],  "weight": 1}
```

### default

Error

application/problem+json

object

**detail**

A human-readable explanation specific to this occurrence of the problem.

string

**errors**

Optional list of individual error details

Array<object> | null

object

**location**

Where the error occurred, e.g. ‘body.items\[3\].tags’ or ‘path.thing-id’

string

**message**

Error message text

string

**value**

The value at the given location

**instance**

A URI reference that identifies the specific occurrence of the problem.

string format: uri

**status**

HTTP status code

integer format: int64

**title**

A short, human-readable summary of the problem type. This value should not change between occurrences of the error.

string

**type**

A URI reference to human-readable documentation for the error.

string format: uri

default: about:blank

#### Example

```
{  "detail": "Property foo is required but is missing.",  "instance": "https://example.com/error-log/abc123",  "status": 400,  "title": "Bad Request",  "type": "about:blank"}
```
